diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/examples/wireless/examples-to-run.py ns-3.38/examples/wireless/examples-to-run.py
--- ns-3.37/examples/wireless/examples-to-run.py	2022-11-01 17:37:24.447394800 -0700
+++ ns-3.38/examples/wireless/examples-to-run.py	2023-03-16 20:54:23.572868300 -0700
@@ -39,11 +39,11 @@
     ("wifi-error-models-comparison", "True", "True"),
     ("wifi-80211n-mimo --simulationTime=0.1 --step=10", "True", "True"),
     ("wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=135", "True", "True"),
-    ("wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=131", "True", "True"),
+    ("wifi-ht-network --simulationTime=0.2 --frequency=5 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=132", "True", "True"),
     ("wifi-ht-network --simulationTime=0.2 --frequency=2.4 --useRts=0 --minExpectedThroughput=5 --maxExpectedThroughput=132", "True", "True"),
     ("wifi-ht-network --simulationTime=0.2 --frequency=2.4 --useRts=1 --minExpectedThroughput=5 --maxExpectedThroughput=129", "True", "True"),
     ("wifi-vht-network --simulationTime=0.2 --useRts=0  --minExpectedThroughput=5 --maxExpectedThroughput=583", "True", "True"),
-    ("wifi-vht-network --simulationTime=0.2 --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=547", "True", "True"),
+    ("wifi-vht-network --simulationTime=0.2 --useRts=1  --minExpectedThroughput=5 --maxExpectedThroughput=557", "True", "True"),
     ("wifi-he-network --simulationTime=0.25 --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=844", "True", "True"),
     ("wifi-he-network --simulationTime=0.3 --frequency=5 --useRts=0 --useExtendedBlockAck=1 --minExpectedThroughput=6 --maxExpectedThroughput=1033", "True", "True"),
     ("wifi-he-network --simulationTime=0.3 --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=745", "True", "True"),
@@ -53,6 +53,15 @@
     ("wifi-he-network --simulationTime=0.3 --frequency=2.4 --udp=0 --downlink=1 --useRts=1 --nStations=5 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --minExpectedThroughput=27 --maxExpectedThroughput=50", "True", "True"),
     ("wifi-he-network --simulationTime=0.3 --udp=0 --downlink=1 --useRts=0 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --muSchedAccessReqInterval=50ms --minExpectedThroughput=31 --maxExpectedThroughput=290", "True", "True"),
     ("wifi-he-network --simulationTime=0.3 --udp=1 --downlink=0 --useRts=1 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --muSchedAccessReqInterval=50ms --minExpectedThroughput=46 --maxExpectedThroughput=327", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.1 --frequency=5 --useRts=0 --minExpectedThroughput=6 --maxExpectedThroughput=550", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.1 --frequency=5 --useRts=0 --useExtendedBlockAck=1 --frequency2=6 --minExpectedThroughput=12 --maxExpectedThroughput=550", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.1 --frequency=5 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=547", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.1 --frequency=2.4 --useRts=0 --useExtendedBlockAck=1 --frequency2=5 --minExpectedThroughput=12 --maxExpectedThroughput=500", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.1 --frequency=2.4 --useRts=1 --minExpectedThroughput=6 --maxExpectedThroughput=212", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.2 --udp=0 --downlink=1 --useRts=0 --nStations=4 --dlAckType=ACK-SU-FORMAT --enableUlOfdma=1 --enableBsrp=0 --mcs=4 --frequency2=6  --minExpectedThroughput=35 --maxExpectedThroughput=280", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.25 --frequency=2.4 --udp=0 --downlink=1 --useRts=0 --nStations=5 --dlAckType=MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --frequency2=5 --useExtendedBlockAck=1 --minExpectedThroughput=40 --maxExpectedThroughput=100", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.3 --udp=0 --downlink=1 --useRts=1 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=0 --mcs=6 --muSchedAccessReqInterval=50ms --frequency2=2.4 --minExpectedThroughput=50 --maxExpectedThroughput=140", "True", "True"),
+    ("wifi-eht-network --simulationTime=0.2 --udp=1 --downlink=0 --useRts=0 --nStations=5 --dlAckType=AGGR-MU-BAR --enableUlOfdma=1 --enableBsrp=1 --mcs=5 --muSchedAccessReqInterval=50ms --frequency2=6 --minExpectedThroughput=70 --maxExpectedThroughput=715", "True", "True"),
     ("wifi-simple-ht-hidden-stations --simulationTime=1 --enableRts=0 --nMpdus=32 --minExpectedThroughput=59 --maxExpectedThroughput=60", "True", "True"),
     ("wifi-simple-ht-hidden-stations --simulationTime=1 --enableRts=1 --nMpdus=32 --minExpectedThroughput=57 --maxExpectedThroughput=58", "True", "True"),
     ("wifi-mixed-network --simulationTime=1", "True", "True"),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/examples/wireless/mixed-wired-wireless.py ns-3.38/examples/wireless/mixed-wired-wireless.py
--- ns-3.37/examples/wireless/mixed-wired-wireless.py	2022-11-01 17:37:24.447394800 -0700
+++ ns-3.38/examples/wireless/mixed-wired-wireless.py	2023-03-16 20:54:23.572868300 -0700
@@ -320,15 +320,14 @@
     # Let's fetch the IP address of the last node, which is on Ipv4Interface 1
     remoteAddr = ns.cppyy.gbl.getIpv4AddressFromNode(appSink)
     socketAddr = ns.network.InetSocketAddress(remoteAddr, port)
-    genericAddress = ns.addressFromInetSocketAddress(socketAddr)
-    onoff = ns.applications.OnOffHelper("ns3::UdpSocketFactory", genericAddress)
+    onoff = ns.applications.OnOffHelper("ns3::UdpSocketFactory", socketAddr.ConvertTo())
     apps = onoff.Install(ns.network.NodeContainer(appSource))
     apps.Start(ns.core.Seconds(3))
     apps.Stop(ns.core.Seconds(stopTime.value - 1))
 
     #  Create a packet sink to receive these packets
     sink = ns.applications.PacketSinkHelper("ns3::UdpSocketFactory",
-                                ns.addressFromInetSocketAddress(ns.network.InetSocketAddress(ns.network.Ipv4Address.GetAny(), port)))
+                                ns.network.InetSocketAddress(ns.network.InetSocketAddress(ns.network.Ipv4Address.GetAny(), port)).ConvertTo())
     sinkContainer = ns.network.NodeContainer(appSink)
     apps = sink.Install(sinkContainer)
     apps.Start(ns.core.Seconds(3))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/examples/wireless/wifi-80211n-mimo.cc ns-3.38/examples/wireless/wifi-80211n-mimo.cc
--- ns-3.37/examples/wireless/wifi-80211n-mimo.cc	2022-11-01 17:37:24.447394800 -0700
+++ ns-3.38/examples/wireless/wifi-80211n-mimo.cc	2023-03-16 20:54:23.572868300 -0700
@@ -62,42 +62,12 @@
 {
     std::ofstream file("80211n-mimo-throughput.plt");
 
-    // clang-format off
-  std::vector <std::string> modes = {
-    "HtMcs0",
-    "HtMcs1",
-    "HtMcs2",
-    "HtMcs3",
-    "HtMcs4",
-    "HtMcs5",
-    "HtMcs6",
-    "HtMcs7",
-    "HtMcs8",
-    "HtMcs9",
-    "HtMcs10",
-    "HtMcs11",
-    "HtMcs12",
-    "HtMcs13",
-    "HtMcs14",
-    "HtMcs15",
-    "HtMcs16",
-    "HtMcs17",
-    "HtMcs18",
-    "HtMcs19",
-    "HtMcs20",
-    "HtMcs21",
-    "HtMcs22",
-    "HtMcs23",
-    "HtMcs24",
-    "HtMcs25",
-    "HtMcs26",
-    "HtMcs27",
-    "HtMcs28",
-    "HtMcs29",
-    "HtMcs30",
-    "HtMcs31",
-  };
-    // clang-format on
+    std::vector<std::string> modes = {
+        "HtMcs0",  "HtMcs1",  "HtMcs2",  "HtMcs3",  "HtMcs4",  "HtMcs5",  "HtMcs6",  "HtMcs7",
+        "HtMcs8",  "HtMcs9",  "HtMcs10", "HtMcs11", "HtMcs12", "HtMcs13", "HtMcs14", "HtMcs15",
+        "HtMcs16", "HtMcs17", "HtMcs18", "HtMcs19", "HtMcs20", "HtMcs21", "HtMcs22", "HtMcs23",
+        "HtMcs24", "HtMcs25", "HtMcs26", "HtMcs27", "HtMcs28", "HtMcs29", "HtMcs30", "HtMcs31",
+    };
 
     bool udp = true;
     double simulationTime = 5; // seconds
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/examples/wireless/wifi-adhoc.cc ns-3.38/examples/wireless/wifi-adhoc.cc
--- ns-3.37/examples/wireless/wifi-adhoc.cc	2022-11-01 17:37:24.447394800 -0700
+++ ns-3.38/examples/wireless/wifi-adhoc.cc	2023-03-16 20:54:23.572868300 -0700
@@ -67,7 +67,7 @@
   private:
     /**
      * Receive a packet.
-     * \param socket The recieving socket.
+     * \param socket The receiving socket.
      */
     void ReceivePacket(Ptr<Socket> socket);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/examples/wireless/wifi-ap.py ns-3.38/examples/wireless/wifi-ap.py
--- ns-3.37/examples/wireless/wifi-ap.py	2022-11-01 17:37:24.447394800 -0700
+++ ns-3.38/examples/wireless/wifi-ap.py	2023-03-16 20:54:23.572868300 -0700
@@ -128,8 +128,7 @@
     socket.SetPhysicalAddress(staDevs.Get(1).GetAddress())
     socket.SetProtocol(1)
 
-    genericAddress = ns.addressFromPacketSocketAddress(socket)
-    onoff = ns.applications.OnOffHelper("ns3::PacketSocketFactory", genericAddress)
+    onoff = ns.applications.OnOffHelper("ns3::PacketSocketFactory", socket.ConvertTo())
     onoff.SetConstantRate (ns.network.DataRate ("500kb/s"))
 
     apps = onoff.Install(ns.network.NodeContainer(stas.Get(0)))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/examples/wireless/wifi-clear-channel-cmu.cc ns-3.38/examples/wireless/wifi-clear-channel-cmu.cc
--- ns-3.37/examples/wireless/wifi-clear-channel-cmu.cc	2022-11-01 17:37:24.447394800 -0700
+++ ns-3.38/examples/wireless/wifi-clear-channel-cmu.cc	2023-03-16 20:54:23.572868300 -0700
@@ -64,7 +64,7 @@
   private:
     /**
      * Receive a packet.
-     * \param socket The recieving socket.
+     * \param socket The receiving socket.
      */
     void ReceivePacket(Ptr<Socket> socket);
     /**
